Bug 225617 - [NEW PORT] devel/grv: Terminal interface for viewing git repositories
Summary: [NEW PORT] devel/grv: Terminal interface for viewing git repositories
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL: https://github.com/rgburke/grv
Keywords:
Depends on:
Blocks:
 
Reported: 2018-02-01 23:12 UTC by Dmitri Goutnik
Modified: 2018-02-03 20:21 UTC (History)
1 user (show)

See Also:


Attachments
patch file (6.44 KB, patch)
2018-02-01 23:12 UTC, Dmitri Goutnik
no flags Details | Diff
grv-0.1.1.patch (6.22 KB, patch)
2018-02-03 13:58 UTC, Dmitri Goutnik
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitri Goutnik 2018-02-01 23:12:03 UTC
Created attachment 190257 [details]
patch file

GRV is a terminal based interface for viewing git repositories. It allows
refs, commits and diffs to be viewed, searched and filtered. The behaviour
and style can be customised through configuration. A query language can be
used to filter refs and commits.

WWW: https://github.com/rgburke/grv

QA:
  portlint -ACN: OK
  poudriere testport: OK (111a, 111i, 104i, 103i)
Comment 1 Yuri Victorovich freebsd_committer 2018-02-02 07:52:28 UTC
https://reviews.freebsd.org/D14165
Comment 2 Dmitri Goutnik 2018-02-03 13:58:48 UTC
Created attachment 190295 [details]
grv-0.1.1.patch

New upstream release v0.1.1
Comment 3 Yuri Victorovich freebsd_committer 2018-02-03 20:20:56 UTC
Committed with small changes.
Thank you for your contribution!
Comment 4 commit-hook freebsd_committer 2018-02-03 20:21:23 UTC
A commit references this bug:

Author: yuri
Date: Sat Feb  3 20:20:50 UTC 2018
New revision: 460845
URL: https://svnweb.freebsd.org/changeset/ports/460845

Log:
  New port: devel/grv: Terminal interface for viewing git repositories

  Screenshot:
  https://raw.githubusercontent.com/rgburke/grv/master/doc/grv-history-view.png

  PR:		225617
  Submitted by:	Dmitri Goutnik <dg@syrec.org>
  Approved by:	adamw (mentor)
  Differential Revision:	https://reviews.freebsd.org/D14165

Changes:
  head/devel/Makefile
  head/devel/grv/
  head/devel/grv/Makefile
  head/devel/grv/distinfo
  head/devel/grv/files/
  head/devel/grv/files/patch-cmd_grv_repo__data__loader.go
  head/devel/grv/pkg-descr